using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using System.Resources;
using System.Text;
using MindWorks.Nimbus;
using Ivi.Driver;

namespace Raytheon.GuidedElectronicsUnit
{
    public struct ImuConfig
    {
        public ImuConfig(uint status)
        {
            KwTestMode = Convert.ToBoolean(status & (uint)ImuConfigure.KwTestMode);
            RxEnable = Convert.ToBoolean(status & (uint)ImuConfigure.RxEnable);
            TxEnable = Convert.ToBoolean(status & (uint)ImuConfigure.TxEnable);
        }

        public bool KwTestMode { get; }

        public bool RxEnable { get; }

        public bool TxEnable { get; }
    }
}